LINUXDOC(1)

NUME
linuxdoc - convertor de LinuxDoc DTD SGML în alt format de ieșire

SINOPSIS
linuxdoc --backend=format
--papersize=dimensiune --language=limbă --charset=set-caractere --style=fișier --debug --define atribut=valoare --include entitate [opțiuni-procesor...] fișier(.sgml)

sau (utilizarea veche, învechită)
sgmlxxxx [opțiuni-generice...] [opțiuni-procesor...] fișier(.sgml)

DESCRIERE
Suita linuxdoc este o colecție de formatatori de text care înțelege un fișier sursă LinuxDoc DTD SGML. Fiecare formatator (sau „procesor”) redă fișierul sursă într-o varietate de formate de ieșire, inclusiv HTML, TeX, DVI, PostScript, text simplu și sursa groff(1) în format de pagină manuală. Suita linuxdoc este furnizată pentru compatibilitate retroactivă, deoarece există încă multe documente utile scrise în sursa LinuxDoc DTD sgml.

Limbajele de marcaje acceptate de aceste formatoare sunt descrise în Linuxdoc-Tools User's Guide. Acestea sunt variante ale unei definiții a tipului de document SGML concepute inițial de Matt Welsh pentru documentația Linux.

OPȚIUNI GENERICE
Majoritatea opțiunilor din linia de comandă sunt acceptate de toate procesoarele. Unele procesoare au opțiuni specifice suplimentare pentru a controla redarea în formatul de ieșire specific. Iată care sunt opțiunile comune:

--backend=format, -B
    Stabilește procesorul pentru formatul specificat. Valoarea implicită este că nu se utilizează niciun format real, ci doar se afișează utilizarea acestei suite. Formatele disponibile sunt: html, info, latex, lyx, rtf, txt, check.

--papersize=dimensiune, -p
    Stabilește dimensiunea hârtiei. Valoarea implicită este „a4” (hârtie europeană de 297x210 mm). De asemenea, puteți specifica dimensiunea „letter”.

--language=limbă, -l
    Specifică limba documentului (acest lucru poate schimba fișierele de stil utilizate pentru formatare de către un procesor). Limba implicită este engleza. Rulați o comandă LinuxDoc-tools fără argumente pentru a vedea lista codurilor de limbă valabile.

--charset=set-caractere, -c
    Specifică codificarea caracterelor de ieșire. Valoarea implicită este„ascii” care selectează setul ASCII; puteți specifica „latin” pentru a specifica setul de caractere ISO 8859-1 (Latin-1). De asemenea, „nippon” și „euc-kr” sunt necesare pentru a gestiona fișierul sgml codificat euc-jp și euc-kr. Este acceptat și „utf-8”, deși este doar parțial compatibil.

--style=fișier, -S
    Include o definiție a tipului de document („Document Type Definition”: DTD) auxiliară din „/usr/share/linuxdoc-tools/dtd”.

--tabsize=n, -t
    Stabilește spațierea tabulatoarelor presupusă pentru generarea documentului de ieșire. Spațierea implicită a tabulatoarelor este 8.

--debug, -d
    Nu șterge fișierele intermediare (cum ar fi fișierele .TeX generate în procesul de creare a unui fișier .dvi sau fișierele .man șterse în procesul de creare a textului simplu).

--define, -D
    Pasează perechi atribut/valoare pentru a fi comparate cu condiționalele „if” și „unless”. Consultați Ghidul utilizatorului pentru o discuție mai amplă despre această caracteristică. Această condiționare este gestionată de comanda «sgmlpre». A se vedea sgmlpre(1), precum și Ghidul utilizatorului.

--include, -i
    Pasează o opțiune „-i” la nsgmls(1). Aceasta poate fi utilizată pentru includerea condiționată. Pentru detalii, consultați pagina de manual nsgmls(1).

--pass, -P
    Pasează un șir de opțiuni către procesor. Semantica exactă a acestei opțiuni depinde de procesorul folosit și ar trebui să fie explicată în paginile de manual individuale pentru fiecare dintre aceștia.

file
    Fișierul sursă SGML, denumit fie fișier, fie fișier.sgml.

Rularea unui procesor fără argumente va face ca acesta să listeze toate opțiunile sale (mesajul de eroare „no filenames given” (niciun nume de fișier nu a fost dat) poate fi ignorat în siguranță în acest caz). Printre procesoarele disponibile se numără (numele din paranteze sunt formele vechi și obsolete):

linuxdoc -B html (sgml2html)
    convertește în HTML

linuxdoc -B info (sgml2info)
    convertește în GNU info

linuxdoc -B lyx (sgml2lyx)
    convertește în macros Lyx

linuxdoc -B latex (sgml2latex)
    convertește în LaTeX 2e

linuxdoc -B rtf (sgml2rtf)
    convertește în formatul de text îmbogățit (*.rtf) de la Microsoft

linuxdoc -B txt (sgml2txt)
    convertește în text simplu sau în marcaje de pagină de manual Unix

Există, de asemenea, un instrument de verficare a linuxdoc
 (sgmlcheck) disponibil pentru verificarea sintaxei Linuxdoc DTD SGML a surselor de documente fără a genera efectiv o versiune convertită.

CONTROLORI PROCESOARE
Iată descrierea pentru fiecare controlor de procesare:

 ****************************************************

linuxdoc -B html (sgml2html) convertește un fișier sursă LinuxDoc DTD SGML în format HTML. Ieșirea va apărea în fișierul de nivel superior fișier.html și fișier-n.html pentru fiecare secțiune (acțiune implicită, dar poate fi modificată prin opțiune), unde fișier este numele fișierului sursă SGML și n este numele secțiunii.

Perechea atribut/valoare „output=html” este definită pentru condiționale.

linuxdoc -B html acceptă următoarele opțiuni: [-[--split 0|1|2 ] [--dosnames] [--imagebuttons] [--toc 0|1|2 ].

Semnificațiile acestora sunt:

--split, -s
    La ce nivel se împart documentele sursă. 0 = nu se împart, 1 = se împart pe secțiuni majore, 2 = se împart pe subsecțiuni.

--toc, -T
    La ce nivel se generează cuprinsul („Table of contents”: TOC).
      0 = nu se generează niciun cuprins „toc”,
      1 = include secțiuni majore(/capitole/părți),
      2 = include subsecțiunile.

--dosnames, -h
    Utilizează „.htm” în loc de „.html” ca extensie a fișierelor html.

--imagebuttons, -I
    Utilizează pictogramele de imagine cu săgeți „next” (înainte), „previous” (înapoi) și „contents” (cuprins) incluse în „/usr/share/linuxdoc-tools” ca butoane de navigare.

--footer, -F
    Folosește fișierul specificat ca subsol de pagină în fiecare fișier html rezultat. Subsolul de pagină implicit este doar text simplu
     </BODY>\n </HTML>\n

--header, -H
    Utilizează fișierul specificat ca parte superioară a antetului în fiecare fișier html rezultat. Rețineți că aceasta nu este partea completă a antetului. (de exemplu, titlul și legăturile („next” (înainte), „previous” (înapoi) și „contents” (cuprins)) din antetul implicit sunt păstrate. Valoarea implicită este
     <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">\n
     <HTML>\n <HEAD>\n

--rtldirection, -r
    Stabilește direcția de la dreapta la stânga în fișierul html.

 ****************************************************

linuxdoc -B info (sgml2info) convertește un fișier sursă LinuxDoc DTD SGML în format GNU info. Rezultatul va apărea în fișier.info, unde fișier este numele fișierului sursă SGML.

Perechea atribut/valoare „output=info” este definită pentru condiționale.

linuxdoc -B info nu are opțiuni specifice pentru procesor.

 ****************************************************

linuxdoc -B latex (sgml2latex) convertește un fișier sursă LinuxDoc DTD SGML în LaTeX, utilizând analizatorul nsgmls(1) sau onsgmls(1) și convertorul sgmlsasp(1). Utilizând ieșirea LaTeX și formatorul (procesorul) de text latex(1), puteți crea apoi o ieșire DVI și o ieșire PostScript utilizând convertorul dvips(1). Rezultatul va apărea în fișier.tex pentru ieșirea LaTeX, fișier.dvi pentru ieșirea DVI sau fișier.ps pentru ieșirea PostScript, unde fișier este numele fișierului sursă SGML.

Folosind ieșirea LaTeX și formatorul de text pdflatex(1), puteți crea apoi o ieșire PDF plăcută, potrivită pentru a fi vizualizată cu programe de vizualizare PDF ca xpdf(1), acroread(1) sau ghostview(1).

Perechea atribut/valoare „output=latex2e” este definită pentru condiționale.

linuxdoc -B latex acceptă următoarele opțiuni specifice procesorului: [--output=tex|dvi|ps|pdf] [--bibtex] [--makeindex] [--pagenumber=n] --quick [-[- -latex=latex|hlatexp|platex|jlatex] [--dvips=dvips|dvi2ps] [--verbosity=n] [--verbosity=n]

Semnificațiile acestora sunt:

--output=format, -o
    Specifică formatul de ieșire dorit. Specificatorul format poate fi „tex”, „dvi”, „ps” sau „pdf”.

Notă: Această versiune nu suprascrie/elimină fișierele intermediare: fișierul tex pentru ieșirea dvi sau fișierele tex/dvi pentru ieșirea ps. Acesta este un comportament diferit față de versiunea originală SGML-Tools 1.0.9, așa că sunteți avertizat aici.

--bibtex, -b
    Procesează TeX-ul generat cu bibtex(1).

--makeindex, -m
    Generează un fișier de index TeX adecvat pentru procesarea cu makeindex(1) și din etichetele <idx> și <cdx> prezente în sursa SGML.

--pagenumber, -n
    Stabilește numărul paginii de început din fișierul DVI sau PS de ieșire.

--quick, -q
    Efectuează doar o singură trecere de formatare LaTeX. Adesea, acest lucru nu este suficient pentru a produce rezultatul final (din cauza referințelor etc.), dar este util pentru a identifica erorile TeX și problemele de aliniere.

--pass, -P
    Argumentul opțiunii pass este inserat imediat după preambulul LaTeX generat de eticheta document-type. Specifică formatul de ieșire dorit. Specificatorul format poate fi „tex”, „dvi”, „ps”, sau „pdf”.

--latex=comandă_latex_alternativă, -x
    Această opțiune este disponibilă în prezent pentru coreeană și japoneză. comanda_latex_alternativă. poate fi „latex” (implicit), „hlatexp” (pentru coreeană), „platex” sau „jlatex” (pentru japoneză). Această opțiune poate fi utilizată pentru a reda un document coreean folosind HLaTeXp sau pentru a reda un document japonez folosind pLaTeX/jLaTeX. În caz contrar, trebuie instalat HLaTeX pentru a reda un document coreean. Pe de altă parte, documentul japonez poate fi redat cu jLaTeX (care este opțiunea implicită atunci când este specificată „-c nippon”), astfel încât, dacă aveți deja jLaTeX, s-ar putea să nu fie nevoie să instalați pLaTeX.

--dvips=comandă_dvips_alternativă, -s
    Această opțiune este în prezent pentru japoneză. comanda_dvips_alternativă poate fi «dvips» sau «dvi2ps». Dacă nu cunoașteți acest lucru, atunci este posibil să nu aveți nevoie de această opțiune.

--verbosity, -V
    Stabilește nivelul de detaliere. „0” (valoarea implicită) va afișa informații despre rularea LaTeX numai în cazul unor erori. „1” va afișa întotdeauna informații despre ultima execuție. „2” va afișa informații pentru toate execuțiile.

 ****************************************************

linuxdoc -B lyx (sgml2lyx) convertește un fișier sursă LinuxDoc DTD SGML în LyX. Rezultatul va apărea în fișier.lyx, unde fișier este numele fișierului sursă SGML.

Perechea atribut/valoare „output=lyx” este definită pentru condiționale.

linuxdoc -B lyx nu are opțiuni specifice pentru procesor.

 ****************************************************

linuxdoc -B rtf (sgml2rtf) convertește un fișier sursă LinuxDoc DTD SGML în RTF, Rich Text Format utilizat de sistemul de ajutor Microsoft Windows. Rezultatul va apărea în fișierul de nivel superior fișier.rtf și fișier-n.rtf pentru fiecare secțiune, unde fișier este numele fișierului sursă SGML. Ieșirea RTF este adaptată pentru compilarea de către Windows Help Compiler (hc31.exe).

Perechea atribut/valoare „output=rtf” este definită pentru condiționale.

linuxdoc -B rtf acceptă [--twosplit] ca o opțiune specifică procesorului. În cele ce urmează este semnificația acestei opțiuni:

--twosplit, -2
    Împarte fișierele atât la n. secțiuni, cât și la n.m. subsecțiuni

 ****************************************************

linuxdoc -B txt (sgml2txt) convertește un fișier sursă LinuxDoc DTD SGML în format ASCII, ISO-8859-1 sau EUC-JP. Rezultatul va apărea în fișier.txt, unde fișier este numele fișierului sursă SGML.

Perechea atribut/valoare „output=txt” este definită pentru condiționale.

linuxdoc -B txt acceptă următoarele opțiuni de procesor: [--manpage] [--filter] [--blanks=n]

Semnificația acestor opțiuni este următoarea:

--manpage, -m
    Produce un fișier sursă groff, potrivit pentru formatare cu groff -man pentru pagini de manual

--filter, -f
    Elimină suprapunerile de spații din forma intermediară generată de groff(1).

--pass, -P
    Argumentul opțiunii pass se adaugă la opțiunile din linia de comandă transmise lui groff(1).

--blanks=n, -b
    Stabilește limita de linii goale continue pentru generarea documentului de ieșire. Limita implicită este 3. Dacă se specifică 0 (zero), rezultatul are multe linii goale continue.

 ****************************************************

linuxdoc -B check (sgmlcheck) execută o analiză SGML pe sursa de document specificată. Eventualele erori sunt raportate la ieșirea standard. Nu se produce nicio versiune formatată a sursei.

Rețineți că linuxdoc -B check preprocesează sursa LinuxDoc DTD SGML, făcând condiționarea descrisă de orice etichete <#if></#if> și <#unless></#unless>. Sursele de documente care conțin aceste etichete vor crea confuzie într-un analizator SGML independent. linuxdoc -B check nu are opțiuni specifice pentru procesor.
 ****************************************************

FIȘIERE
Sunt utilizate multe fișiere și executabile din /usr/share/linuxdoc-tools și /usr/bin.

ERORI
Poate că au mai rămas câteva. Nu ezitați să trimiteți un raport la actualul responsabil cu menținerea.

RESPONSABIL
Acesta a fost întreținut de Cees de Groot <cg@cdegroot.com> în SGML-Tools (v1). În prezent este întreținut de Taketoshi Sano <sano@debian.org> pentru Linuxdoc-Tools.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.